aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration/discard_graph_edges_test.sh
diff options
context:
space:
mode:
authorGravatar janakr <janakr@google.com>2017-08-28 20:30:27 +0200
committerGravatar Vladimir Moskva <vladmos@google.com>2017-08-29 13:31:44 +0200
commit411b12b828ecedd286d9b0c14b69efab08bc45e3 (patch)
tree6b50040ad6b9261ed52f8202778a9504644469f2 /src/test/shell/integration/discard_graph_edges_test.sh
parent9f4e5aba802e65ae78f92ced248815bacde32dab (diff)
Add debugging to other flaky test case in discard_graph_edges_test. We actually don't need most of the information being logged here, but on the other hand, I have no reports of flakiness from the other test case after these log lines were added, so maybe it'll be a heisenbug and go away.
PiperOrigin-RevId: 166731945
Diffstat (limited to 'src/test/shell/integration/discard_graph_edges_test.sh')
-rwxr-xr-xsrc/test/shell/integration/discard_graph_edges_test.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/src/test/shell/integration/discard_graph_edges_test.sh b/src/test/shell/integration/discard_graph_edges_test.sh
index cbf846d491..aeedbeba90 100755
--- a/src/test/shell/integration/discard_graph_edges_test.sh
+++ b/src/test/shell/integration/discard_graph_edges_test.sh
@@ -235,8 +235,10 @@ genrule(name = 'action${i}',
srcs = [':action${iminus}'],
outs = ['histo.${i}'],
local = 1,
- cmd = '${bazel_javabase}/bin/jmap -histo:live '
- + '\$\$(cat ${server_pid_file}) > \$(location histo.${i})'
+ cmd = 'server_pid=\$\$(cat $server_pid_file) ; ' +
+ '${bazel_javabase}/bin/jmap -histo:live \$\$server_pid > ' +
+ '\$(location histo.${i}) ' +
+ '|| echo "server_pid in genrule: \$\$server_pid"'
)
EOF
done
@@ -244,9 +246,13 @@ EOF
local readonly histo_root="$(bazel info "${PRODUCT_NAME}-genfiles" \
2> /dev/null)/histodump/histo."
bazel clean >& "$TEST_log" || fail "Couldn't clean"
- bazel $STARTUP_FLAGS build $BUILD_FLAGS //histodump:action3 >& "$TEST_log" &
+ bazel $STARTUP_FLAGS build --show_timestamps $BUILD_FLAGS \
+ //histodump:action3 >> "$TEST_log" 2>&1 &
server_pid=$!
+ echo "server_pid in main thread is ${server_pid}" >> "$TEST_log"
echo "$server_pid" > "$server_pid_file"
+ echo "Finished writing pid to fifo at " >> "$TEST_log"
+ date >> "$TEST_log"
echo "" > "$wait_fifo"
# Wait for previous command to finish.
wait "$server_pid" || fail "Bazel command failed"